Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/12327/?format=api
{ "ob_id": 12327, "uuid": "683517e0d1e94899a47ecbc2c8291cae", "title": "Sentinel 1A C-band Synthetic Aperture Radar (SAR): Interferometric Wide (IW) mode Ground Range Detected (GRD) Medium Resolution (MR) Level 1 data", "abstract": "This dataset contains Interferometric Wide swath (IW) Ground Range Detected (GRD) Medium Resolution (MR) C-band Synthetic Aperture Radar (SAR) data from the European Space Agency (ESA) Sentinel 1A satellite. Sentinel 1A was lanched on 3rd April 2014 and provides continuous all-weather, day and night imaging radar data. The IW mode is the main operational mode. The IW mode supports single (HH or VV) and dual (HH+HV or VV+VH) polarisation. These data are available via CEDA to any registered scientific user in the UK.\r\n\r\n", "keywords": "Sentinel, radar, Synthetic Aperture Radar, SAR, Interferometric Wide, IW, Ground Range Detected, GRD", "publicationState": "working", "dataPublishedTime": null, "doiPublishedTime": null, "updateFrequency": "notPlanned", "status": "ongoing", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/12338/?format=api", "dataPath": "/neodc/sentinel1a/data/IW/L1_GRD/m/", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 1015, "numberOfFiles": 2, "fileFormat": "Image data files are in a binary format. Quicklook images are in png format. Manifest files with relevant metadata are in SAFE format. " }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/3332/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/1/?format=api", "nonGeographicFlag": false, "phenomena": [ "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/25947/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/25995/?format=api" ], "dataLineage": "Data collected and prepared by European Space Agency (ESA). Downloaded from the Collaborative Hub for use by the UK scientific community. ", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/12321/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/12314/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/30129/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/143571/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/50610/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/50609/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/47071/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/47098/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/47072/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/47074/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/47073/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/50611/?format=api" ], "procedureAcquisition": null, "procedureCompositeProcess": "https://api.catalogue.ceda.ac.uk/api/v2/composites/12316/?format=api", "procedureComputation": null, "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2586/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "public", "accessRoles": null, "label": "public: None group", "licenceURL": "https://sentinel.esa.int/documents/247904/690755/Sentinel_Data_Legal_Notice", "licenceClassifications": "any" } ], "discoveryKeywords": [] }